
User Interface - Bug #3532

Failed to instantiate menu definition class

03/22/2018 01:14 AM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 03/22/2018 01:18 AM - Sergey Ivanovskiy

- File test-menu-focus-movements.p added

This issue can be reproduced with demo/test-menu-focus-movements.p. The server throws these exceptions

java.lang.RuntimeException: Failed to instantiate menu definition class

        at com.goldencode.p2j.ui.MenuWidget.createStaticMenu(MenuWidget.java:280)

        at com.goldencode.testcases.demo.TestMenuFocusMovements.<init>(TestMenuFocusMovements.java:30)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at java.lang.Class.newInstance(Class.java:442)

        at com.goldencode.p2j.util.Utils.invoke(Utils.java:1326)

        at com.goldencode.p2j.main.StandardServer$MainInvoker.execute(StandardServer.java:1981)

        at com.goldencode.p2j.main.StandardServer.invoke(StandardServer.java:1476)

        at com.goldencode.p2j.main.StandardServer.standardEntry(StandardServer.java:525)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:124)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:757)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:412)

        at com.goldencode.p2j.net.Conversation.run(Conversation.java:232)

        at java.lang.Thread.run(Thread.java:748)

Caused by: java.lang.reflect.InvocationTargetException

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at com.goldencode.p2j.ui.MenuWidget.createStaticMenu(MenuWidget.java:265)

        at com.goldencode.testcases.demo.TestMenuFocusMovements.<init>(TestMenuFocusMovements.java:30)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at java.lang.Class.newInstance(Class.java:442)

        at com.goldencode.p2j.util.Utils.invoke(Utils.java:1326)

        at com.goldencode.p2j.main.StandardServer$MainInvoker.execute(StandardServer.java:1981)

        at com.goldencode.p2j.main.StandardServer.invoke(StandardServer.java:1476)

        at com.goldencode.p2j.main.StandardServer.standardEntry(StandardServer.java:525)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:498)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:124)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:757)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:412)

        at com.goldencode.p2j.net.Conversation.run(Conversation.java:232)

        at java.lang.Thread.run(Thread.java:748)

Caused by: java.lang.ClassCastException: com.goldencode.p2j.ui.SubMenuConfig cannot be cast to com.goldencode.

p2j.ui.MenuConfig

        at com.goldencode.p2j.ui.MenuContainerWidget.isAttachedMenu(MenuContainerWidget.java:155)

        at com.goldencode.p2j.ui.MenuContainerWidget.pushWidgetAttr(MenuContainerWidget.java:426)

        at com.goldencode.p2j.ui.SubMenuWidget.setLabel(SubMenuWidget.java:148)

        at com.goldencode.p2j.ui.SubMenuDefinition.setLabel(SubMenuDefinition.java:131)

        at com.goldencode.testcases.ui.demo.TestMenuFocusMovementsSubMenu1SubMenu.setup(TestMenuFocusMovements

SubMenu1SubMenu.java:22)

        at com.goldencode.testcases.ui.demo.TestMenuFocusMovementsSubMenu1SubMenu.setup(TestMenuFocusMovements

SubMenu1SubMenu.java:5)

        at com.goldencode.p2j.ui.SubMenuWidget.createStaticSubMenu(SubMenuWidget.java:249)

        at com.goldencode.testcases.ui.demo.TestMenuFocusMovementsMbarMenu.<init>(TestMenuFocusMovementsMbarMe

nu.java:8)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at com.goldencode.p2j.ui.MenuWidget.createStaticMenu(MenuWidget.java:265)

        at com.goldencode.testcases.demo.TestMenuFocusMovements.<init>(TestMenuFocusMovements.java:30)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at java.lang.Class.newInstance(Class.java:442)

        at com.goldencode.p2j.util.Utils.invoke(Utils.java:1326)

        at com.goldencode.p2j.main.StandardServer$MainInvoker.execute(StandardServer.java:1981)

        at com.goldencode.p2j.main.StandardServer.invoke(StandardServer.java:1476)

        at com.goldencode.p2j.main.StandardServer.standardEntry(StandardServer.java:525)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:124)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:757)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:412)

        at com.goldencode.p2j.net.Conversation.run(Conversation.java:232)

        at java.lang.Thread.run(Thread.java:748)

Please look at #3448-42 for its origin.
#3 - 04/24/2018 03:10 AM - Hynek Cihlar

The issue was resolved in 3487a, the branch was merged to trunk in revision 11259.

#4 - 04/24/2018 03:10 AM - Hynek Cihlar

- % Done changed from 0 to 100

#5 - 04/24/2018 06:56 AM - Greg Shah

- Start date deleted (03/22/2018)

- Status changed from New to Closed

- Assignee set to Hynek Cihlar

Files

test-menu-focus-movements.p 1.01 KB 03/22/2018 Sergey Ivanovskiy
